6.0.0-git
2021-01-24

[#4097] XML-RPC doesn't properly return "fault"
Summary XML-RPC doesn't properly return "fault"
Queue Horde Framework Packages
Queue Version HEAD
Type Bug
State Resolved
Priority 1. Low
Owners
Requester bklang (at) horde (dot) org
Created 2006-07-01 (5321 days ago)
Due
Updated 2006-07-06 (5316 days ago)
Assigned
Resolved 2006-07-01 (5321 days ago)
Milestone
Patch No

History
2006-07-06 06:52:16 fse (at) camline (dot) com Comment #3 Reply to this comment
I provided exactly the same patch one year ago with bug #3100
2006-07-01 04:48:16 Chuck Hagenbuch Comment #2
State ⇒ Resolved
Reply to this comment
Committed, thanks!
2006-07-01 01:55:25 Ben Klang Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ XML-RPC doesn't properly return "fault"
Queue ⇒ Horde Framework Packages
New Attachment: xmlrpc-return-fault.patch Download
Reply to this comment
When an API call returns with a PEAR_Error object the XML-RPC code 
generates a PHP error.  This code checks for a PEAR_Error object and 
constructs a proper XML-RPC "fault" response with the details from the 
PEAR_Error object.

Saved Queries